AI Model APIPublic API
Get Model List (OpenAI)
GET
/api/v1/modelsHeader Parameters
Authorization*string
Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx
Response Body
application/json
Success
TypeScript Definitions
Use the response body type in TypeScript.
object*string
data*array<object>
[]?object
id*string
Call Name
object*string
created*integer
Creation Time
owned_by*string
Belongs to
first_id*string
First Model
last_id*string
The last model
has_more*boolean
There are more
curl -X GET "https://api.ygw.ai/api/v1/models" \ -H "Authorization: string"{
"object": "string",
"data": [
{
"id": "string",
"object": "string",
"created": 0,
"owned_by": "string"
}
],
"first_id": "string",
"last_id": "string",
"has_more": true
}